# redhat.sap_infrastructure Ansible Collection

![Ansible Lint](https://github.com/sap-linuxlab/community.sap_infrastructure/actions/workflows/ansible-lint.yml/badge.svg?branch=main)

This Ansible Collection executes various SAP Infrastructure related tasks, creating resources needed for hosts of SAP Systems.

These Ansible Roles are often run first and combined with other Ansible Collections to provide end-to-end automation.

Various Infrastructure Platforms (Cloud Hyperscalers and Hypervisors) are compatible and tested with this Ansible Collection.


**Please read the [full documentation](./docs#readme) for how-to guidance, requirements, and all other details. Summary documentation is below:**


## Contents

Within this Ansible Collection, there are various Ansible Roles and no custom Ansible Modules.

### Ansible Roles

| Name | Summary | Support | 
| :--- | :--- | :--- |
| [sap_hypervisor_node_preconfigure](https://github.com/sap-linuxlab/community.sap_infrastructure/tree/main/roles/sap_hypervisor_node_preconfigure) | Provide the configuration of hypervisors for SAP workloads | Technology Preview |
| [sap_vm_preconfigure](https://github.com/sap-linuxlab/community.sap_infrastructure/tree/main/roles/sap_vm_preconfigure) | Provide the configuration of Virtual Machines running on SAP certified Cloud IaaS or SAP certified Hypervisors | Technology Preview |

## License

- [Apache 2.0](./LICENSE)

## Contributors

Contributors to the Ansible Roles within this Ansible Collection are shown in the README.md file of each role.
